EXP1803 - Analyzing #183

Express analysis of experimental data
04/13/2018 05:03 AM - Vratislav Chudoba

Status: OrtkpbiTa Start date: 04/13/2018
Priority: Bbicokuia Due date: 04/16/2018
Assignee: % Done: 53%
Category: Software Estimated time: 0.00 hour
Target version:

Description
Various urgent tasks.

Main features of detector geometry are shown on following sketch:

setup.jpg
Used parameters:
e MWPC

o distance between MWPC1 and MWPC2: 546 mm
o distance between MWPC2 and target: 270 mm
o wire step: 1.25 mm
e TOF
o distance between F3 and F5: XX mm
o TDC: 0.125 ns/channel_TDC
¢ Silicon detectors:
o distance from target to SQ20
o distance from target to SQL
o SQ20
= thickness 22 microns stated by manufacturer; high level of thickness inhomogeneity observed
= 16 X-strips
= 0 -> 15; left -> right
SQL
= 1 mm thick
= 32 X-strips
= 16 Y strips
= X-strips from left to right
= Y-strips from bottom to top
SQR
= 1 mm thick
= 32 X-strips
= 16 Y strips
= Y-strips from bottom to top

o]

(e}

Angles_H5_2.jpg
Detectors location according to measurement by S. Krupko.

Subtasks:
Developing # 184: Kannbpauus TOHKOBO KPEMHEBOTO feTekTopa

Analyzing # 186: Number of 3He coincidences with 3H

Developing # 187: Kanubpauus 1 MM KpeMHEBOro aeTekTopa

bugs # 190: MWPC bug

Developing # 193: Kannbpoeka npasoro Csl

Analyzing # 194: Calibration of time signals

Analyzing # 195: First estimate of inhomogeneity of thin Si detector

Analyzing # 207: Particle identification plot for left telescope
Developing # 215: Telescope track reconstruction

OTKpbITa
OTKpbITa
OTKpbITa
OTKpbITa
OTKpbITa
OTKpbITa
3akpbiTa
OTKpbITa
3akpbiTa

History

#1 - 06/16/2018 12:33 AM - Vratislav Chudoba

- Tracker changed from Developing to Analyzing

- Subject changed from Skcnpecc aHann3a sKcrnepuMeHTanbHbIX AaHHbIX to Express analysis of experimental data

- Description updated

#2 - 06/16/2018 02:13 AM - Vratislav Chudoba

Raw data may be converted into ROOT format in following way:

1. Go4 library must be available. One of the well working possibilities is to use library created by Egor Ovcharenko. It can be downloaded here.
Compilation is performed by bash script "compile.sh". Some play with environment variables is needed. See *.sh scripts. README file will be

created.

2. Compiled "libUserAnalysis.so" library must be in folder with data to be converted. The use of symbolic link is possible.

3. Conversion of data is performed by command

go4analysis -v -lib libUserAnalysis.so -file INPUTFILENAME

in folder with treated raw files. INPUTFILENAME is file with raw data either in Imd or Iml format.

4. The output is saved in "output.root" file. This option is probably hardcoded in Go4 library source and will be modified. The "output.root" should be

renamed otherwise it will be replaced by new converted data.

#3 - 06/29/2018 03:55 PM - Vratislav Chudoba
- File Angles_H5_2.jpg added
- Description updated

#4 - 09/10/2018 02:38 PM - Ivan Muzalevsky

- Description updated

#5 - 09/10/2018 02:52 PM - Ivan Muzalevsky

- Description updated

Files
http://er.jinr.ru/git/vratislav.chudoba/go4egor
http://www.tcpdf.org

